roar_vs_new_simple(3)

NAME
roar_vs_new_simple, roar_vs_new_playback - Create new VS objects

SYNOPSIS

#include <roaraudio.h>

roar_vs_t * roar_vs_new_simple(const char * server, const char * name, int rate, int channels, int codec, int bits, int dir, int * error);

roar_vs_t * roar_vs_new_playback(const char * server, const char * name, int rate, int channels, int codec, int bits, int * error);

DESCRIPTION
These functions create a new VS object with a already connected data connection. The functions connect to the server server with application name name. They take the audio parameters as arguments rate, channels, codec, bits.

roar_vs_new_simple() takes the stream direction as parameter dir.

roar_vs_new_playback() is equivalent to roar_vs_new_simple() expect that it does not take the direction parameter but uses ROAR_DIR_PLAY (waveform playback). It may be implemented as a macro.

PARAMETERS

server
    The server to connect to. NULL for defaults.

name
    The application name. This should be something the user can use to identify the application. It MUST NOT be the application's binary name or the value of argv[0].

rate, channels, codec, bits
    The audio parameters for the new stream: sampling rate, number of channels per frame, used codec and number of bits per sample.

dir This is the stream direction. Common values include ROAR_DIR_PLAY for waveform playback, ROAR_DIR_MONITOR for waveform monitoring, ROAR_DIR_RECORD for waveform recording. For MIDI ROAR_DIR_MIDI_IN and ROAR_DIR_MIDI_OUT is used.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return a new VS object. On error, NULL is returned.

EXAMPLES
FIXME

SEE ALSO
roar_vs_new(3), roar_vs_new_from_file(3), roar_vs_close(3), roarvs(7), libroar(7), RoarAudio(7).